Subject: Re: bug#5785: 24.0.50; Fail to bind C-. in emacs -nw from xterm.

From: Stefan Kangas <[email-masked]>
Date: Sun, 15 Sep 2019 17:55:55 +0200

Thierry Volpiatto <[email-masked]> writes:

> Hi,
> I am unable to bind C-. in xterm.
>
> A)
>
> 1) I start xterm without my config of .Xdefaults.
> 2) In scratch i write and eval:
> (global-set-key (kbd "C-.") #'(lambda () (interactive) (message "hello")))
>
> 3) When i hit C-. "~" is printed in buffer (*scratch*).
>
> B)
>
> If i bind the same key (C-.) in a function that use the minibuffer,
> (define-key anything-map (kbd "C-.") 'anything-find-files-down-one-level)
>
> then,
> 27;6;46~ is printed in anything prompt.
>
> NOTE:
> ----
> Also,
> Alt doesn't work in emacs without proper Xterm config in .Xdefault:
> XTerm*metaSendsEscape:  True
>
> You can verify with simple command (e.g `insert-parentheses' `M-(')

This was reported nine years ago.  It seems to me that the conclusion
from the discussion at the time was that it might have been something
wrong in your setup, or some specific issue in xterm on Gentoo, rather
than a bug in Emacs.

I also can't reproduce this issue here, using Emacs 26.2 and XTerm(344).

Can you still reproduce this on a modern version of Emacs?  If I don't
hear back from you in a couple of weeks, I'll just close this as
unreproducible.

Best regards,
Stefan Kangas